1 Reply Latest reply on Nov 23, 2014 4:53 AM by JJMack

    I currently use CS Photoshop 5.1 on Mac. I have just upgraded to Yosemite 10.1.0. In order to run CS Photoshop 5.1 I need to downgrade to Java 6. Is this safe, or will I become exposed to security risks?

    PeterRobin101 Level 1

      I currently use CS Photoshop 5.1 on Mac. I have just upgraded to Yosemite 10.1.0. In order to run CS Photoshop 5.1 I need to downgrade to Java 6. Is this safe, or will I become exposed to security risks?